4 Nov 2009 mcxarray 1.008, 09-308

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
OPTIONS
5.
AUTHOR
6.
SEE ALSO

## NAME

mcxarray — Transform array data to MCL matrices

## SYNOPSIS

mcxarray [options]

mcxarray [-data fname (input data file)] [-skipr <num> (skip <num> data rows)] [-skipc <num> (skip <num> data columns)] [-write-tab <fname> (write row labels to file)] [-l <num> (take labels from column <num>)] [-imx fname (input matrix file)] [-n mode (normalize input)] [-o fname (output file fname)] [-digits <num> (output precision)] [--write-binary (write output in binary format)] [-co num (cutoff for output values)] [-cutoff num (cutoff for output values)] [-gq num (ignore input smaller than)] [-lq num (ignore input larger than)] [--transpose (work with the transposed data matrix)] [--cosine (use cosine)] [--pearson (use Pearson correlation (default))] [--spearman (use Spearman rank correlation)] [-pi num (inflate the result)]

[-tf spec (apply tf-spec to input matrix)] [--help (print this help)] [-h (print this help)] [--version (print version information)]

## DESCRIPTION

mcxarray can either read a flat file containing array data (-data) or a matrix file satisfying the mcl input format (-imx). In the former case it will by default work with the rows as the data vectors. In the latter case it will by default work with the columns as the data vectors (note that mcl matrices are presented as a listing of columns). This can be changed for both using the --transpose option.

## OPTIONS

-data fname (input data file)

Specify the data file containing the expression values. It should be tab-separated.

-skipr <num> (skip <num> data rows)

Skip the first <num> data rows.

-skipc <num> (skip <num> data columns)

Ignore the first <num> data columns.

-l <num> (take labels from column <num>)

Specifies to construct a tab of labels from this data column. The tab can be written to file using -write-tab fname.

-write-tab <fname> (write row labels to file)

Write a tab file. In the simple case where the labels are in the first data column it is sufficient to issue -skipc 1. If more data columns need to be skipped one must explicitly specify the data column to take labels from with -l l.

-imx fname (input matrix file)

The expression values are read from a file in mcl matrix format.

-n mode (normalization mode)

If mode is set to z the data will be normalized based on z-score. No other modes are currently supported.

-o fname (output file fname)

Output file name.

-digits <num> (output precision)

Specify the precision to use in native interchange format.

--write-binary (write output in binary format)

Write output matrices in native binary format.

-co num (cutoff for output values)
-cutoff num (alias for -co)

Output values smaller than num are removed (set to zero).

-gq num (ignore input smaller than)

Input values smaller than num are ignored.

-lq num (ignore input larger than)

Input values larger than num are ignored.

--transpose (work with the transpose)

Work with the transpose of the input data matrix.

--cosine (use cosine)
--pearson (use Pearson correlation (default))
--spearman (use Spearman rank correlation)

Use one of these to specify the correlation measure.

-pi num (inflate the result)

Apply inflation with parameter num to the output values.

Transform the input matrix values according to the syntax described in mcxio.
--help (print help)
-h (print help)
--version (print version information)

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mcl, mclfaq, and mclfamily for an overview of all the documentation and the utilities in the mcl family.